Overview
Comment: | Update configure script to check compiler flags during linking |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk |
Files: | files | file ages | folders |
SHA3-256: |
01719ee8de7fe009a5f89b39c5d3372d |
User & Date: | rkeene on 2019-11-12 17:36:33 |
Other Links: | manifest | tags |
References
2019-11-14
| ||
00:56 | • Fixed ticket [d51fd4f49a]: error in configure on Solaris 11.3 with developerstudio12.5 "cc" plus 6 other changes artifact: 0dfe61fbfc user: rkeene | |
Context
2019-11-12
| ||
17:46 | Makefile cleanup check-in: b9af6e4772 user: rkeene tags: trunk | |
17:36 | Update configure script to check compiler flags during linking check-in: 01719ee8de user: rkeene tags: trunk | |
2019-09-20
| ||
18:23 | Updated to indicate that OpenSSL/LibreSSL are required to build and use check-in: 0aa88d2997 user: rkeene tags: trunk | |
Changes
Modified aclocal/ax_check_compile_flag.m4 from [80cde85a08] to [0974cae407].
︙ | ︙ | |||
15 16 17 18 19 20 21 | # success/failure. # # If EXTRA-FLAGS is defined, it is added to the current language's default # flags (e.g. CFLAGS) when the check is done. The check is thus made with # the flags: "CFLAGS EXTRA-FLAGS FLAG". This can for example be used to # force the compiler to issue an error when a bad flag is given. # | | | 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 | # success/failure. # # If EXTRA-FLAGS is defined, it is added to the current language's default # flags (e.g. CFLAGS) when the check is done. The check is thus made with # the flags: "CFLAGS EXTRA-FLAGS FLAG". This can for example be used to # force the compiler to issue an error when a bad flag is given. # # INPUT gives an alternative input source to AC_LINK_IFELSE. # # NOTE: Implementation based on AX_CFLAGS_GCC_OPTION. Please keep this # macro in sync with AX_CHECK_{PREPROC,LINK}_FLAG. # # LICENSE # # Copyright (c) 2008 Guido U. Draheim <[email protected]> |
︙ | ︙ | |||
38 39 40 41 42 43 44 | AC_DEFUN([AX_CHECK_COMPILE_FLAG], [AC_PREREQ(2.64)dnl for _AC_LANG_PREFIX and AS_VAR_IF AS_VAR_PUSHDEF([CACHEVAR],[ax_cv_check_[]_AC_LANG_ABBREV[]flags_$4_$1])dnl AC_CACHE_CHECK([whether _AC_LANG compiler accepts $1], CACHEVAR, [ ax_check_save_flags=$[]_AC_LANG_PREFIX[]FLAGS _AC_LANG_PREFIX[]FLAGS="$[]_AC_LANG_PREFIX[]FLAGS $4 $1" | | | 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 | AC_DEFUN([AX_CHECK_COMPILE_FLAG], [AC_PREREQ(2.64)dnl for _AC_LANG_PREFIX and AS_VAR_IF AS_VAR_PUSHDEF([CACHEVAR],[ax_cv_check_[]_AC_LANG_ABBREV[]flags_$4_$1])dnl AC_CACHE_CHECK([whether _AC_LANG compiler accepts $1], CACHEVAR, [ ax_check_save_flags=$[]_AC_LANG_PREFIX[]FLAGS _AC_LANG_PREFIX[]FLAGS="$[]_AC_LANG_PREFIX[]FLAGS $4 $1" AC_LINK_IFELSE([m4_default([$5],[AC_LANG_PROGRAM()])], [AS_VAR_SET(CACHEVAR,[yes])], [AS_VAR_SET(CACHEVAR,[no])]) _AC_LANG_PREFIX[]FLAGS=$ax_check_save_flags]) AS_VAR_IF(CACHEVAR,yes, [m4_default([$2], :)], [m4_default([$3], :)]) AS_VAR_POPDEF([CACHEVAR])dnl ])dnl AX_CHECK_COMPILE_FLAGS |
Modified autogen.sh from [6c19085661] to [825e8c0a23].
︙ | ︙ | |||
71 72 73 74 75 76 77 78 79 | automake --add-missing --copy --force-missing >/dev/null 2>/dev/null if ! [ -f install-sh -o -f install.sh -o -f shtool ]; then echo "automake failed" >&2 exit 1 fi autoconf rm -rf autom4te.cache | > > > > > | 71 72 73 74 75 76 77 78 79 80 81 82 83 84 | automake --add-missing --copy --force-missing >/dev/null 2>/dev/null if ! [ -f install-sh -o -f install.sh -o -f shtool ]; then echo "automake failed" >&2 exit 1 fi autoconf if grep AC_COMPILE_IFELSE aclocal/ax_check_compile_flag.m4 >/dev/null; then sed 's@AC_COMPILE_IFELSE@AC_LINK_IFELSE@g' aclocal/ax_check_compile_flag.m4 > aclocal/ax_check_compile_flag.m4.new mv aclocal/ax_check_compile_flag.m4.new aclocal/ax_check_compile_flag.m4 fi rm -rf autom4te.cache |